package com.tuoheng.admin.controller;

import com.tuoheng.admin.request.inspectionfile.InspectionFileProcessingRresultRequest;
import com.tuoheng.admin.service.inspectionfile.IInspectionFileService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 巡检问题处理结果前端控制器
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-16
 */
@RestController
@RequestMapping("/inspectionfile/handle")
public class InspectionFileHandleController {

    @Autowired
    private IInspectionFileService iInspectionFileService;

    /**
     * 处理结果
     *
     * @param request
     * @return
     */
    @PostMapping("/processing")
    public JsonResult processing(@RequestBody InspectionFileProcessingRresultRequest request){
        return iInspectionFileService.processing(request);
    }

}
