package com.tuoheng.admin.request.inspectionfile;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

import java.util.List;

/**
 * 查询巡检任务请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
@Data
public class QueryInspectionFilePageListByInspectionIdRequest extends BaseQuery {

    /**
     * 任务Id
     */
    private String inspectionId;

    /**
     * 问题类型
     */
    private String questionCode;

    /**
     * 问题状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

}
