package com.tuoheng.admin.service.aliyun;

import java.net.URL;
import java.util.List;

public interface IAliyunOssService {

    /**
     * 使用签名URL进行临时授权
     *
     * @param objectName 填写Object完整路径，例如exampleobject.txt。Object完整路径中不能包含Bucket名称。
     * @return
     * @throws Throwable
     */
    URL generatePresignedUrl(String objectName) throws Throwable;

    List<URL> generatePresignedUrls(String[] objectNameList) throws Throwable;
}
