package com.tuoheng.admin.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 机场视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-23
 */
@Data
@NoArgsConstructor
public class AirPortVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 机场id
     */
    private Integer id;

    /**
     * 机场代码
     */
    private String code;

    /**
     * 机场名称
     */
    private String name;

    /**
     * 机场图片
     */
    private String image;

    /**
     * 机场外部监控地址
     */
    private String externalMonitorUrl;

    /**
     * 机场外部监控FLV地址
     */
    private String flvExternalMonitorUrl;

    /**
     * 机场内部监控地址
     */
    private String internalMonitorUrl;

    /**
     * 覆盖范围（km）
     */
    private String coverage;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 无人机id
     */
    private Integer droneId;

    /**
     * 无人机名称
     */
    private String droneName;

    /**
     * 设备id
     */
    private String edgeId;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 修改时间
     */
    private String updateTime;

}
