package com.tuoheng.admin.vo;


import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2022/11/17
 */
@Data
public class SectionInfoVo {

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 公路id
     */
    private String roadId;

    /**
     * 路段范围
     */
    private String sectionRange;

    /**
     * 起点经度
     */
    private String startLongitude;

    /**
     * 起点纬度
     */
    private String startLatitude;

    /**
     * 终点经度
     */
    private String endLongitude;

    /**
     * 终点纬度
     */
    private String endLatitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 公路代号
     */
    private String code;




}
