package com.tuoheng.admin.vo.inspection;

import lombok.Data;

/**
 * 返回巡检问题报告视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-12
 */
@Data
public class InspectionFileReportVo {

    /**
     * 问题id
     */
    private String id;

    /**
     * 问题类型:1坑槽，2积水，3裂缝
     */
    private String questionId;

    /**
     * 问题名称：1坑槽，2积水，3裂缝
     */
    private String questionName;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 高德地图纬度
     */
    private String gaodeLongitude;

    /**
     * 高德地图经度
     */
    private String gaodeLatitude;

    /**
     * 高德地图地址
     */
    private String gaodeAddress;

    /**
     * 处理结果
     */
    private InspectionFileHandleReportVo inspectionFileHandleReportVo;
}
