package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/12/7
 */
@Data
public class WorkOrderInfoVo {

    /**
     * 工单id
     */
    private String id;

    /**
     * 工单编号
     */
    private String code;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy.MM.dd hh:mm")
    @JsonFormat(pattern = "yyyy.MM.dd hh:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 分配人员,多个用逗号隔开
     */
    private String assignUserName;

    /**
     * 问题总数
     */
    private Integer promTotal;

    /**
     * 待处理问题数
     */
    private Integer promTodo;

    /**
     * 已处理问题
     */
    private Integer promProcessed;




}
