package com.tuoheng.admin.request.inspectionfile;

import lombok.Data;

import java.util.List;

/**
 * 查询巡检任务分配请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
@Data
public class QueryInspectionFileDistributionListRequest {

    /**
     * 任务名称
     */
    private String inspectionName;

    /**
     * 问题类型
     */
    private String questionCode;

    /**
     * 问题状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 部门及子部门Id列表
     */
    private List<String> deptIdList;

}
