package com.tuoheng.admin.request.user;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * 用户查询条件
 */
@Data
public class QueryUserPageListRequest extends BaseQuery {

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 用户账号
     */
    private String username;

    /**
     * 真实姓名
     */
    private String realname;

    /**
     * 角色ID
     */
    private Integer roleId;

}
