package com.tuoheng.miniprogram.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.miniprogram.entity.OpPermissions;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */
public interface OpPermissionsMapper extends BaseMapper<OpPermissions> {
    List<OpPermissions> getOpPermissionsByRoleId(@Param("roleId") Integer roleId, @Param("clientId") String clientId);

    List<Integer> getRoleIdsByApiUrl(@Param("apiUrl") String apiUrl);
}
