package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/11/24
 */
@Data
public class PlayBackInfoVo {

    /**
     * 任务执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务编号
     */
    private String code;

    /**
     * 巡检任务类型 1 临时巡检
     */
    private Integer type;

    /**
     * 巡检路线名称
     */
    private String inspectionLineName;

    /**
     * 原视频地址
     */
    private String aiVideoUrl;
}
